Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class PrimitiveTable

    java.lang.Object
      com.bbn.openmap.layer.vpf.DcwRecordFile
          com.bbn.openmap.layer.vpf.PrimitiveTable

Direct Known Subclasses:
  AreaTable, EdgeTable, NodeTable, TextTable

public abstract class PrimitiveTable
extends DcwRecordFile

Parent class for reading VPF primitive tables.

Field Summary
`protected CoverageTable` | `covtable` the coverage table that we are working for
`protected int` | `idColumn` the id column position
`protected TileDirectory` | `tile` the tile we are for

Fields inherited from class com.bbn.openmap.layer.vpf.DcwRecordFile
`byteorder, columnInfo, documentationFileName, filename, ID_COLUMN_NAME, inputFile, MSBFirst, recordLength, tableDescription, tablename, vli`

Constructor Summary
`PrimitiveTable(CoverageTable cov, TileDirectory tile, java.lang.String tablename)` Construct a PrimitiveTable.

Method Summary
`abstract void` | `drawFeature(VPFFeatureWarehouse warehouse, float dpplat, float dpplon, LatLonPoint ll1, LatLonPoint ll2, java.util.List area, java.lang.String featureType)` Use the warehouse to create a graphic from a feature in the AreaTable.
`abstract void` | `drawTile(VPFGraphicWarehouse warehouse, float dpplat, float dpplon, LatLonPoint ll1, LatLonPoint ll2)` Parse the records for this tile, calling warehouse.createXXXX once for each record.
`CoverageTable` | `getCoverageTable()` Get the coverage table that we are working on.
`int` | `getID(java.util.List l)` Gets the id column value for the row.
`TileDirectory` | `getTileDirectory()` Gets the tile we are for.

Methods inherited from class com.bbn.openmap.layer.vpf.DcwRecordFile
`close, finalize, finishInitialization, getColumnCount, getColumnInfo, getColumnName, getDescription, getDocumentationFilename, getRecordCount, getRecordLength, getRow, getRow, getTableFile, getTableName, getTilingAdapter, getTilingAdapter, getTilingAdapter, lookupSchema, lookupSchema, main, parseAllRowsAndPrintSome, parseRow, parseRow, parseSomeRowsAndPrint, printSchema, reopen, seekToRow, whatColumn`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### covtable

    protected final CoverageTable covtable

  the coverage table that we are working for

### idColumn

    protected final int idColumn

  the id column position

### tile

    protected final TileDirectory tile

  the tile we are for

Constructor Detail

### PrimitiveTable

    public PrimitiveTable(CoverageTable cov,
                          TileDirectory tile,
                          java.lang.String tablename)
                   throws FormatException

  Construct a PrimitiveTable.

Parameters:
  `cov` - the coverage table that is our "parent"
  `tile` - the tile for the table
  `tablename` - must be a 3 character VPF tablename
Throws:
  `FormatException` - if something goes wrong opening the file

Method Detail

### getCoverageTable

    public CoverageTable getCoverageTable()

  Get the coverage table that we are working on.

### getID

    public int getID(java.util.List l)

  Gets the id column value for the row.

### getTileDirectory

    public TileDirectory getTileDirectory()

  Gets the tile we are for.

### drawTile

    public abstract void drawTile(VPFGraphicWarehouse warehouse,
                                  float dpplat,
                                  float dpplon,
                                  LatLonPoint ll1,
                                  LatLonPoint ll2)

  Parse the records for this tile, calling warehouse.createXXXX once for each record.

  Parameters:
    `warehouse` - the warehouse used for createArea calls (must not be null)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse) (passed to warehouse)
  See Also:
    `VPFGraphicWarehouse`

### drawFeature

    public abstract void drawFeature(VPFFeatureWarehouse warehouse,
                                     float dpplat,
                                     float dpplon,
                                     LatLonPoint ll1,
                                     LatLonPoint ll2,
                                     java.util.List area,
                                     java.lang.String featureType)

  Use the warehouse to create a graphic from a feature in the AreaTable.

  Parameters:
    `warehouse` - the warehouse used for createXXXX calls (must not be null)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)
    `area` - a List containing the AreaTable row contents.
    `featureType` - the string representing the feature type, in case the warehouse wants to do some intelligent rendering.
  See Also:
    `VPFGraphicWarehouse.createEdge(com.bbn.openmap.layer.vpf.CoverageTable, com.bbn.openmap.layer.vpf.EdgeTable, java.util.List, com.bbn.openmap.LatLonPoint, com.bbn.openmap.LatLonPoint, float, float, com.bbn.openmap.layer.vpf.CoordFloatString)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details